@charset "utf-8";

:root {
  font-size: 17px;
}

html {
  box-sizing: border-box;
  font-family: -apple-system, Roboto, Oxygen-Sans, Cantarell, "Helvetica Neue", sans-serif;
}

iframe,
textarea {
  margin: 0;
  padding: 0;
  width: 100%;
  min-height: 200px;
}

iframe {
  border: 0;
}

textarea {
  border: .2px solid #888;
  font-size: 1rem;
  line-height: 1.4rem;
  resize: none;
  float: left;
}

.code {
  font-family: 'Source Code Pro', Menlo, 'Liberation Mono', 'Roboto Mono', monospace;
}

.editor {
  color: #B3B3FF;
  background-color: #1F2847;
}

.terminal {
  color: #B5F7FF;
  background-color: #131d20;
}

body {
  display: flex;
  justify-content: center;
  color: #87b8cb;
  background-color: #1f3c47;
}

main {
  width: 85vw;
}

.sketching-board {
  height: 100vh;
}

.demo {
  height: 75vh;
}

/* 550 x 736 */
@media(min-width: 550px) {
  main {
    height: 100vh;
    display: grid;
    grid-template-columns: 55% 45%;
    grid-template-rows: 65% 35%;
    grid-template-areas:
      "board board"
      "framework log";
  }

  .sketching-board {
    grid-area: board;
    display: flex;
    height: 100%;
  }

  .demo {
    height: 100%;
  }

  .styling > .code {
    height: 95%;
  }

  .framework {
    grid-area: framework;
  }

  .log {
    grid-area: log;
  }
}

/* 960 x ? */
@media(min-width: 960px) {
  .demo {
    width: 65%;
  }

  .styling {
    width: 35%;
  }
}

/* 1024 x 768 */
@media(min-width: 1024px) {
  main {
    width: 95vw;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;
    grid-template-areas:
    "framework board board log";
  }
  .sketching-board {
    flex-direction: column;
    width: 100%;
  }

  .demo,
  .styling {
    width: 95%;
    align-self: center;
  }

  .framework > .code,
  .terminal {
    height: 100vh;
  }
}
